package com.ruoyi.system.domain.loan;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 全体股东附件对象 shareholder_fj
 * 
 * @author boman
 * @date 2024-04-24
 */
public class ShareholderFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 全体股东附件ID */
    private Long shareholderFjId;

    /** 贷款申请id */
    @Excel(name = "贷款申请id")
    private Long loanApplicationId;

    /** 贷款申请编号 */
    @Excel(name = "贷款申请编号")
    private String loanApplicationNumber;

    /** 股东身份证 */
    @Excel(name = "股东身份证")
    private String shareholderIdCard;

    /** 股东姓名 */
    @Excel(name = "股东姓名")
    private String shareholderName;

    /** 股东身份证正面 */
    @Excel(name = "股东身份证正面")
    private String shareholderFrontUrl;
    /**
     * 股东身份证正面文件名称
     */
    private String shareholderFrontName;

    /** 股东身份证反面 */
    @Excel(name = "股东身份证反面")
    private String shareholderBackUrl;
    /**
     * 股东身份证反面文件名称
     */
    private String shareholderBackName;

    /** 股东征信url */
    @Excel(name = "股东征信url")
    private String shareholderZxUrl;
    private String shareholderZxUrlPdf;
    /** 股东营业执照 */
    @Excel(name = "股东营业执照url")
    private String shareholderBusinessUrl;
    /**
     * 股东征信文件名称
     */
    private String shareholderZxName;

    public String getShareholderZxUrlPdf() {
        return shareholderZxUrlPdf;
    }

    public void setShareholderZxUrlPdf(String shareholderZxUrlPdf) {
        this.shareholderZxUrlPdf = shareholderZxUrlPdf;
    }

    public String getShareholderBusinessUrl() {
        return shareholderBusinessUrl;
    }

    public void setShareholderBusinessUrl(String shareholderBusinessUrl) {
        this.shareholderBusinessUrl = shareholderBusinessUrl;
    }

    public String getShareholderFrontName() {
        return shareholderFrontName;
    }

    public void setShareholderFrontName(String shareholderFrontName) {
        this.shareholderFrontName = shareholderFrontName;
    }

    public String getShareholderBackName() {
        return shareholderBackName;
    }

    public void setShareholderBackName(String shareholderBackName) {
        this.shareholderBackName = shareholderBackName;
    }

    public String getShareholderZxName() {
        return shareholderZxName;
    }

    public void setShareholderZxName(String shareholderZxName) {
        this.shareholderZxName = shareholderZxName;
    }

    public void setShareholderFjId(Long shareholderFjId)
    {
        this.shareholderFjId = shareholderFjId;
    }

    public Long getShareholderFjId() 
    {
        return shareholderFjId;
    }
    public void setLoanApplicationId(Long loanApplicationId) 
    {
        this.loanApplicationId = loanApplicationId;
    }

    public Long getLoanApplicationId() 
    {
        return loanApplicationId;
    }
    public void setLoanApplicationNumber(String loanApplicationNumber) 
    {
        this.loanApplicationNumber = loanApplicationNumber;
    }

    public String getLoanApplicationNumber() 
    {
        return loanApplicationNumber;
    }
    public void setShareholderIdCard(String shareholderIdCard) 
    {
        this.shareholderIdCard = shareholderIdCard;
    }

    public String getShareholderIdCard() 
    {
        return shareholderIdCard;
    }
    public void setShareholderName(String shareholderName) 
    {
        this.shareholderName = shareholderName;
    }

    public String getShareholderName() 
    {
        return shareholderName;
    }
    public void setShareholderFrontUrl(String shareholderFrontUrl) 
    {
        this.shareholderFrontUrl = shareholderFrontUrl;
    }

    public String getShareholderFrontUrl() 
    {
        return shareholderFrontUrl;
    }
    public void setShareholderBackUrl(String shareholderBackUrl) 
    {
        this.shareholderBackUrl = shareholderBackUrl;
    }

    public String getShareholderBackUrl() 
    {
        return shareholderBackUrl;
    }
    public void setShareholderZxUrl(String shareholderZxUrl) 
    {
        this.shareholderZxUrl = shareholderZxUrl;
    }

    public String getShareholderZxUrl() 
    {
        return shareholderZxUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("shareholderFjId", getShareholderFjId())
            .append("loanApplicationId", getLoanApplicationId())
            .append("loanApplicationNumber", getLoanApplicationNumber())
            .append("shareholderIdCard", getShareholderIdCard())
            .append("shareholderName", getShareholderName())
            .append("shareholderFrontUrl", getShareholderFrontUrl())
            .append("shareholderBackUrl", getShareholderBackUrl())
            .append("shareholderZxUrl", getShareholderZxUrl())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
